Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039759
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] StoreServerminorhave not tried2018-12-04 15:422018-12-10 16:17
ReportermtaalView Statuspublic 
Assigned Tomtaal 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision1d6a9063e6c3
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039759: Prevent routing of OBMOBC_TerminalLog import entries

DescriptionPrevent routing of the OBMOBC_TerminalLog entries by changing the ImportEntryRouter.
Steps To ReproduceRun latest code of retail in multi-server env
Proposed SolutionPrevent the routing in the ImportEntryRouter [1]. Make the change so that it works also if the terminal log is not yet implemented/delivered to a customer

https://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/file/tip/src/org/openbravo/retail/storeserver/synchronization/router/ImportEntryRouter.java [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0108257)
hgbot (developer)
2018-12-04 20:26

Repository: erp/pmods/org.openbravo.retail.storeserver.synchronization
Changeset: 70fd66758f1250747860f0ff0b56afa5cd05ccc3
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Dec 04 20:25:59 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/70fd66758f1250747860f0ff0b56afa5cd05ccc3 [^]

Fixes issue 39759: Prevent routing of OBMOBC_TerminalLog import entries
Do not route the log records

---
M src/org/openbravo/retail/storeserver/synchronization/router/ImportEntryRouter.java
---
(0108356)
AugustoMauch (developer)
2018-12-10 10:13

Although the fix works, ImportEntryRouter already provides a mechanism to prevent import entries from being routed to the store servers. This is done by checking the em_obstsyn_cur_server_only property.

It is better to set this property on an event handler than to add it redundantly to ImportEntryRouter.
(0108358)
hgbot (developer)
2018-12-10 12:36

Repository: erp/pmods/org.openbravo.retail.storeserver.synchronization
Changeset: 1d6a9063e6c388a8b278f58207176cd73dc92b95
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Mon Dec 10 12:26:12 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/1d6a9063e6c388a8b278f58207176cd73dc92b95 [^]

Fixes issue 39759: Prevent routing of OBMOBC_TerminalLog import entries
Use the correct way to prevent syncing of import entry

---
M src/org/openbravo/retail/storeserver/synchronization/eventhandler/RetailImportEntryNoSyncEventHandler.java
---
(0108359)
hgbot (developer)
2018-12-10 12:36

Repository: erp/pmods/org.openbravo.retail.storeserver.synchronization
Changeset: 440dbdfb025a7d764001077dfc289e31a71fdb3a
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Mon Dec 10 12:26:24 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/440dbdfb025a7d764001077dfc289e31a71fdb3a [^]

Related to issue 39759: Prevent routing of OBMOBC_TerminalLog import entries
Backed out changeset 70fd66758f12

---
M src/org/openbravo/retail/storeserver/synchronization/router/ImportEntryRouter.java
---
(0108367)
AugustoMauch (developer)
2018-12-10 16:17

Code reviewed and verified

- Issue History
Date Modified Username Field Change
2018-12-04 15:42 mtaal New Issue
2018-12-04 15:42 mtaal Assigned To => mtaal
2018-12-04 15:42 mtaal Triggers an Emergency Pack => No
2018-12-04 20:26 hgbot Checkin
2018-12-04 20:26 hgbot Note Added: 0108257
2018-12-04 20:26 hgbot Status new => resolved
2018-12-04 20:26 hgbot Resolution open => fixed
2018-12-04 20:26 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/70fd66758f1250747860f0ff0b56afa5cd05ccc3 [^]
2018-12-09 22:06 mtaal Review Assigned To => AugustoMauch
2018-12-10 10:13 AugustoMauch Note Added: 0108356
2018-12-10 10:13 AugustoMauch Status resolved => new
2018-12-10 10:13 AugustoMauch Resolution fixed => open
2018-12-10 12:36 hgbot Checkin
2018-12-10 12:36 hgbot Note Added: 0108358
2018-12-10 12:36 hgbot Status new => resolved
2018-12-10 12:36 hgbot Resolution open => fixed
2018-12-10 12:36 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/70fd66758f1250747860f0ff0b56afa5cd05ccc3 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/1d6a9063e6c388a8b278f58207176cd73dc92b95 [^]
2018-12-10 12:36 hgbot Checkin
2018-12-10 12:36 hgbot Note Added: 0108359
2018-12-10 16:17 AugustoMauch Note Added: 0108367
2018-12-10 16:17 AugustoMauch Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker